Bug 490275 - bind refuses all external lookups if net isn't up when started
bind refuses all external lookups if net isn't up when started
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-14 12:31 EDT by Pierre Ossman
Modified: 2013-04-30 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: 9.6.1-6.P1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 01:14:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2009-03-14 12:31:26 EDT
As the summary says, if the network is down when named starts, all requests will be rejected once it is up. This is of course the norm now that we have NM.

I can't really figure out why it refuses the lookups though. It listens to 0.0.0.0 and my configuration doesn't have any restrictions on who can do lookups, so it shouldn't need a network connection to start properly.
Comment 1 Pierre Ossman 2009-07-09 03:25:37 EDT
As a temporary workaround, I suggest this be added to dispatcher.d:

[root@freyr dispatcher.d]# cat /etc/NetworkManager/dispatcher.d/10-named 
#!/bin/sh

export LC_ALL=C

if [ "$2" = "up" ]; then
	killlall -HUP named
fi

It solves the problem and should not have any serious consequences.
Comment 2 Adam Tkac 2009-09-15 10:56:34 EDT
I improved your script a little, it will be in the next update.

#!/bin/bash

# Check if named is running
/sbin/service named status > /dev/null 2>&1 || exit 0

[ "$2" = 'up' -o "$2" = 'down' ] && /sbin/service named reload
Comment 3 Fedora Update System 2009-09-16 07:53:32 EDT
bind-9.6.1-5.P1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bind-9.6.1-5.P1.fc11
Comment 4 Fedora Update System 2009-09-16 16:34:32 EDT
bind-9.6.1-5.P1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bind'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9677
Comment 5 Fedora Update System 2009-09-24 01:14:03 EDT
bind-9.6.1-6.P1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.